<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Novo item</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form>
            <div class="form-group">


                <label for="tituloId">Titulo</label>
                <input id="tituloId" class="form-control" name="titulo" [disabled]="!isNew" [(ngModel)]="itemModal.title">
                <br />

                <label for="descricaoId">Descricao</label>
                <input id="descricaoId" class="form-control" name="descricao" [disabled]="!isNew" [(ngModel)]="itemModal.descripton">
                <br />

                <label for="imagemId">Imagem</label>
                <img id="imagemId" class="card-img" [src]="itemModal.photo">
                <!-- <img class="card-img" [src]="item.photo"> -->
                <br />

            </div>
        </form>

        <!-- <pre>{{ itemModal | json }}</pre> -->

    </div>
    <div class="modal-footer">
        <button *ngIf="isNew" type="button" class="btn" (click)="onClickNovo()">Adicionar</button>
        <button *ngIf="!isNew" type="button" class="btn" (click)="modal.dismiss('Cross click')">Fechar</button>
    </div>
</ng-template>

      
<div class="page-header custom-page-header" data-parallax="true">
    <div class="filter"></div>
    <div class="container">
        <div class="motto text-center custom-container">
            <h3>Gerenciamento de itens.</h3>
            <br/>
            <button class="btn btn-lg btn-outline-primary" (click)="onClickNew(content)">Novo item</button>
            <br/>
            <table class="table table-striped custom-table">
                <thead>
                    <tr>
                    <th scope="col">#</th>
                    <th scope="col">Titulo</th>
                    <th scope="col">Descricao</th>
                    <th scope="col"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of itens">
                    <td>{{ item.id }}</td>
                    <td>{{ item.title }}</td>
                    <td>{{ item.description }</td>
                    <td> 
                    <button type="button" class="btn btn-just-icon" (click)="onClickDetalhe(item, content)">
                        <i class="fa fa-search"></i>
                    </button>
                    <button type="button" class="btn btn-just-icon" (click)="onClickEcluir(item)">
                        <i class="fa fa-trash"></i>
                    </button>
                    </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>